<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ReviewDetailsType StructType
 * Meta informations extracted from the WSDL
 * - documentation: This type is deprecated.
 * @subpackage Structs
 */
class ReviewDetailsType extends AbstractStructBase
{
    /**
     * The AverageRating
     * Meta informations extracted from the WSDL
     * - documentation: This field is deprecated.
     * - minOccurs: 0
     * @var float
     */
    public $AverageRating;
    /**
     * The Review
     * Meta informations extracted from the WSDL
     * - documentation: This field is deprecated.
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\ReviewType[]
     */
    public $Review;
    /**
     * The any
     * @var \DOMDocument
     */
    public $any;
    /**
     * Constructor method for ReviewDetailsType
     * @uses ReviewDetailsType::setAverageRating()
     * @uses ReviewDetailsType::setReview()
     * @uses ReviewDetailsType::setAny()
     * @param float $averageRating
     * @param \StructType\ReviewType[] $review
     * @param \DOMDocument $any
     */
    public function __construct($averageRating = null, array $review = array(), \DOMDocument $any = null)
    {
        $this
            ->setAverageRating($averageRating)
            ->setReview($review)
            ->setAny($any);
    }
    /**
     * Get AverageRating value
     * @return float|null
     */
    public function getAverageRating()
    {
        return $this->AverageRating;
    }
    /**
     * Set AverageRating value
     * @param float $averageRating
     * @return \StructType\ReviewDetailsType
     */
    public function setAverageRating($averageRating = null)
    {
        $this->AverageRating = $averageRating;
        return $this;
    }
    /**
     * Get Review value
     * @return \StructType\ReviewType[]|null
     */
    public function getReview()
    {
        return $this->Review;
    }
    /**
     * Set Review value
     * @throws \InvalidArgumentException
     * @param \StructType\ReviewType[] $review
     * @return \StructType\ReviewDetailsType
     */
    public function setReview(array $review = array())
    {
        foreach ($review as $reviewDetailsTypeReviewItem) {
            // validation for constraint: itemType
            if (!$reviewDetailsTypeReviewItem instanceof \StructType\ReviewType) {
                throw new \InvalidArgumentException(sprintf('The Review property can only contain items of \StructType\ReviewType, "%s" given', is_object($reviewDetailsTypeReviewItem) ? get_class($reviewDetailsTypeReviewItem) : gettype($reviewDetailsTypeReviewItem)), __LINE__);
            }
        }
        $this->Review = $review;
        return $this;
    }
    /**
     * Add item to Review value
     * @throws \InvalidArgumentException
     * @param \StructType\ReviewType $item
     * @return \StructType\ReviewDetailsType
     */
    public function addToReview(\StructType\ReviewType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ReviewType) {
            throw new \InvalidArgumentException(sprintf('The Review property can only contain items of \StructType\ReviewType, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->Review[] = $item;
        return $this;
    }
    /**
     * Get any value
     * @uses \DOMDocument::loadXML()
     * @uses \DOMDocument::hasChildNodes()
     * @uses \DOMDocument::saveXML()
     * @uses \DOMNode::item()
     * @uses \StructType\ReviewDetailsType::setAny()
     * @param bool $asString true: returns XML string, false: returns \DOMDocument
     * @return \DOMDocument|null
     */
    public function getAny($asString = true)
    {
        if (!empty($this->any) && !($this->any instanceof \DOMDocument)) {
            $dom = new \DOMDocument('1.0', 'UTF-8');
            $dom->formatOutput = true;
            if ($dom->loadXML($this->any)) {
                $this->setAny($dom);
            }
            unset($dom);
        }
        return ($asString && ($this->any instanceof \DOMDocument) && $this->any->hasChildNodes()) ? $this->any->saveXML($this->any->childNodes->item(0)) : $this->any;
    }
    /**
     * Set any value
     * @param \DOMDocument $any
     * @return \StructType\ReviewDetailsType
     */
    public function setAny(\DOMDocument $any = null)
    {
        $this->any = $any;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ReviewDetailsType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
